com.tibbo.aggregate.common.util

## Class ExtendedNumber

- java.lang.Object
- - java.lang.Number
  - - com.tibbo.aggregate.common.util.ExtendedNumber

- All Implemented Interfaces:
    java.io.Serializable

      public class ExtendedNumber
      extends java.lang.Number

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedNumber()`
    `ExtendedNumber(java.lang.Number number, java.lang.Integer quality, java.util.Date timestamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `java.lang.Number` | `getNumber()`
    `java.lang.Integer` | `getQuality()`
    `java.util.Date` | `getTimestamp()`
    `int` | `intValue()`
    `long` | `longValue()`
    `void` | `setNumber(java.lang.Number number)`
    `void` | `setQuality(java.lang.Integer quality)`
    `void` | `setTimestamp(java.util.Date timestamp)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedNumber

          public ExtendedNumber()

    - #### ExtendedNumber

          public ExtendedNumber(java.lang.Number number,
                                java.lang.Integer quality,
                                java.util.Date timestamp)

  - ### Method Detail

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `java.lang.Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `java.lang.Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `java.lang.Number`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `java.lang.Number`

    - #### getQuality

          public java.lang.Integer getQuality()

    - #### getNumber

          public java.lang.Number getNumber()

    - #### getTimestamp

          public java.util.Date getTimestamp()

    - #### setQuality

          public void setQuality(java.lang.Integer quality)

    - #### setNumber

          public void setNumber(java.lang.Number number)

    - #### setTimestamp

          public void setTimestamp(java.util.Date timestamp)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`